< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package http
  Definition Classes
    play
-  package ws
  Definition Classes
    http
- WSDelete
- WSGet
- WSHttp
- WSHttpResponse
- WSPatch
- WSPost
- WSProxy
- WSProxyConfiguration
- WSPut
- WSRequest

t

uk.gov.hmrc.play.http.ws

# WSPost 

###

#### trait WSPost extends CorePost with PostHttpTransport with WSRequest

Linear Supertypes
WSRequest, Request, PostHttpTransport, CorePost, AnyRef, Any
Known Subclasses
WSHttp
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WSPost
2. WSRequest
3. Request
4. PostHttpTransport
5. CorePost
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def POST[I, O](url: String, body: I, headers: Seq[(String, String)] = Seq.empty)(implicit wts: Writes[I], rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
2.  abstract def POSTEmpty[O](url: String)(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
3.  abstract def POSTForm[O](url: String, body: Map[String, Seq[String]])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
4.  abstract def POSTString[O](url: String, body: String, headers: Seq[(String, String)] = Seq.empty)(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
5.  abstract def applicableHeaders(url: String)(implicit hc: HeaderCarrier): Seq[(String, String)]
   Definition Classes
     Request
6.  abstract def wsClient: WSClient
   Definition Classes
     WSRequest

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def buildRequest[A](url: String)(implicit hc: HeaderCarrier): play.api.libs.ws.WSRequest
   Definition Classes
     WSRequest
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
7.  def doEmptyPost[A](url: String)(implicit hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     WSPost → PostHttpTransport
8.  def doFormPost(url: String, body: Map[String, Seq[String]])(implicit hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     WSPost → PostHttpTransport
9.  def doPost[A](url: String, body: A, headers: Seq[(String, String)])(implicit rds: Writes[A], hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     WSPost → PostHttpTransport
10.  def doPostString(url: String, body: String, headers: Seq[(String, String)])(implicit hc: HeaderCarrier): Future[HttpResponse]
    Definition Classes
      WSPost → PostHttpTransport
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
14.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from WSRequest

### Inherited from Request

### Inherited from PostHttpTransport

### Inherited from CorePost

### Inherited from AnyRef

### Inherited from Any

### Ungrouped